import request from '@/utils/request'

// 查询机队信息列表
export function listFleet(query) {
  return request({
    url: '/manage/fleet/list',
    method: 'get',
    params: query
  })
}

// 查询机队信息详细
export function getFleet(id) {
  return request({
    url: '/manage/fleet/' + id,
    method: 'get'
  })
}

// 新增机队信息
export function addFleet(data) {
  return request({
    url: '/manage/fleet',
    method: 'post',
    data: data
  })
}

// 修改机队信息
export function updateFleet(data) {
  return request({
    url: '/manage/fleet',
    method: 'put',
    data: data
  })
}

// 删除机队信息
export function delFleet(id) {
  return request({
    url: '/manage/fleet/' + id,
    method: 'delete'
  })
}
